org.eclnt.jsfserver.elements.componentnodes

## Class SPLITPANENode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.SPLITPANENode

- All Implemented Interfaces:
    java.io.Serializable

      public class SPLITPANENode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPLITPANENode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SPLITPANENode` | `bindActionListener(IActionListenerDelegation value)`
    `SPLITPANENode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindBackground(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindBorder(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindClientname(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindColspan(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindComment(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindCutcontent(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindDividercolor(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindDividerlocation(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindDividersize(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindDragroundtrip(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindDragsend(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindDroprastertext(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindDropreceive(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindDropshape(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindEnabled(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindFlush(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindFlusharea(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindFxstyleseq(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindHeight(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindHelpid(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindHidefirstsplit(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindHidesecondsplit(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindOnetouchexpandable(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindOnetouchexpandablebackground(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindOrientation(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindPadding(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindRendered(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindRounding(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindRowalignmenty(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindShadow(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindWidth(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindWithwritebackdividerlocation(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindX(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `bindY(IDynamicContentBindingObject value)`
    `SPLITPANENode` | `setActionListener(java.lang.String value)`
    `SPLITPANENode` | `setAdapterbinding(java.lang.String value)`
    `SPLITPANENode` | `setAnimatechangeofsize(boolean value)`
    `SPLITPANENode` | `setAnimatechangeofsize(java.lang.String value)`
    `SPLITPANENode` | `setAttributemacro(java.lang.String value)`
    `SPLITPANENode` | `setBackground(java.lang.String value)`
    `SPLITPANENode` | `setBgpaint(java.lang.String value)`
    `SPLITPANENode` | `setBorder(java.lang.String value)`
    `SPLITPANENode` | `setClientname(java.lang.String value)`
    `SPLITPANENode` | `setColspan(int value)`
    `SPLITPANENode` | `setColspan(java.lang.String value)`
    `SPLITPANENode` | `setComment(java.lang.String value)`
    `SPLITPANENode` | `setConfiginfo(java.lang.String value)`
    `SPLITPANENode` | `setCutcontent(boolean value)`
    `SPLITPANENode` | `setCutcontent(java.lang.String value)`
    `SPLITPANENode` | `setDividercolor(java.lang.String value)`
    `SPLITPANENode` | `setDividerlocation(java.lang.String value)`
    `SPLITPANENode` | `setDividersize(java.lang.String value)`
    `SPLITPANENode` | `setDragroundtrip(boolean value)`
    `SPLITPANENode` | `setDragroundtrip(java.lang.String value)`
    `SPLITPANENode` | `setDragsend(java.lang.String value)`
    `SPLITPANENode` | `setDroprastertext(java.lang.String value)`
    `SPLITPANENode` | `setDropreceive(java.lang.String value)`
    `SPLITPANENode` | `setDropshape(java.lang.String value)`
    `SPLITPANENode` | `setEnabled(boolean value)`
    `SPLITPANENode` | `setEnabled(java.lang.String value)`
    `SPLITPANENode` | `setFlush(boolean value)`
    `SPLITPANENode` | `setFlush(java.lang.String value)`
    `SPLITPANENode` | `setFlusharea(boolean value)`
    `SPLITPANENode` | `setFlusharea(java.lang.String value)`
    `SPLITPANENode` | `setFxstyleseq(java.lang.String value)`
    `SPLITPANENode` | `setHeight(int value)`
    `SPLITPANENode` | `setHeight(java.lang.String value)`
    `SPLITPANENode` | `setHelpid(java.lang.String value)`
    `SPLITPANENode` | `setHidefirstsplit(boolean value)`
    `SPLITPANENode` | `setHidefirstsplit(java.lang.String value)`
    `SPLITPANENode` | `setHidesecondsplit(boolean value)`
    `SPLITPANENode` | `setHidesecondsplit(java.lang.String value)`
    `SPLITPANENode` | `setId(java.lang.String value)`
    `SPLITPANENode` | `setOnetouchexpandable(boolean value)`
    `SPLITPANENode` | `setOnetouchexpandable(java.lang.String value)`
    `SPLITPANENode` | `setOnetouchexpandablebackground(java.lang.String value)`
    `SPLITPANENode` | `setOrientation(java.lang.String value)`
    `SPLITPANENode` | `setPadding(java.lang.String value)`
    `SPLITPANENode` | `setPopupmenu(java.lang.String value)`
    `SPLITPANENode` | `setPopupmenuloadroundtrip(java.lang.String value)`
    `SPLITPANENode` | `setReference(java.lang.String value)`
    `SPLITPANENode` | `setRendered(boolean value)`
    `SPLITPANENode` | `setRendered(java.lang.String value)`
    `SPLITPANENode` | `setRounding(int value)`
    `SPLITPANENode` | `setRounding(java.lang.String value)`
    `SPLITPANENode` | `setRowalignmenty(java.lang.String value)`
    `SPLITPANENode` | `setShadow(java.lang.String value)`
    `SPLITPANENode` | `setStyleseq(java.lang.String value)`
    `SPLITPANENode` | `setStylevariant(java.lang.String value)`
    `SPLITPANENode` | `setWidth(int value)`
    `SPLITPANENode` | `setWidth(java.lang.String value)`
    `SPLITPANENode` | `setWithwritebackdividerlocation(boolean value)`
    `SPLITPANENode` | `setWithwritebackdividerlocation(java.lang.String value)`
    `SPLITPANENode` | `setX(int value)`
    `SPLITPANENode` | `setX(java.lang.String value)`
    `SPLITPANENode` | `setY(int value)`
    `SPLITPANENode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SPLITPANENode

          public SPLITPANENode()

  - ### Method Detail

    - #### setId

          public SPLITPANENode setId(java.lang.String value)

    - #### setActionListener

          public SPLITPANENode setActionListener(java.lang.String value)

    - #### bindActionListener

          public SPLITPANENode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public SPLITPANENode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public SPLITPANENode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public SPLITPANENode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public SPLITPANENode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public SPLITPANENode setAnimatechangeofsize(boolean value)

    - #### setAttributemacro

          public SPLITPANENode setAttributemacro(java.lang.String value)

    - #### setBackground

          public SPLITPANENode setBackground(java.lang.String value)

    - #### bindBackground

          public SPLITPANENode bindBackground(IDynamicContentBindingObject value)

    - #### setBgpaint

          public SPLITPANENode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public SPLITPANENode bindBgpaint(IDynamicContentBindingObject value)

    - #### setBorder

          public SPLITPANENode setBorder(java.lang.String value)

    - #### bindBorder

          public SPLITPANENode bindBorder(IDynamicContentBindingObject value)

    - #### setClientname

          public SPLITPANENode setClientname(java.lang.String value)

    - #### bindClientname

          public SPLITPANENode bindClientname(IDynamicContentBindingObject value)

    - #### setColspan

          public SPLITPANENode setColspan(java.lang.String value)

    - #### bindColspan

          public SPLITPANENode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public SPLITPANENode setColspan(int value)

    - #### setComment

          public SPLITPANENode setComment(java.lang.String value)

    - #### bindComment

          public SPLITPANENode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public SPLITPANENode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public SPLITPANENode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setCutcontent

          public SPLITPANENode setCutcontent(java.lang.String value)

    - #### bindCutcontent

          public SPLITPANENode bindCutcontent(IDynamicContentBindingObject value)

    - #### setCutcontent

          public SPLITPANENode setCutcontent(boolean value)

    - #### setDividercolor

          public SPLITPANENode setDividercolor(java.lang.String value)

    - #### bindDividercolor

          public SPLITPANENode bindDividercolor(IDynamicContentBindingObject value)

    - #### setDividerlocation

          public SPLITPANENode setDividerlocation(java.lang.String value)

    - #### bindDividerlocation

          public SPLITPANENode bindDividerlocation(IDynamicContentBindingObject value)

    - #### setDividersize

          public SPLITPANENode setDividersize(java.lang.String value)

    - #### bindDividersize

          public SPLITPANENode bindDividersize(IDynamicContentBindingObject value)

    - #### setDragroundtrip

          public SPLITPANENode setDragroundtrip(java.lang.String value)

    - #### bindDragroundtrip

          public SPLITPANENode bindDragroundtrip(IDynamicContentBindingObject value)

    - #### setDragroundtrip

          public SPLITPANENode setDragroundtrip(boolean value)

    - #### setDragsend

          public SPLITPANENode setDragsend(java.lang.String value)

    - #### bindDragsend

          public SPLITPANENode bindDragsend(IDynamicContentBindingObject value)

    - #### setDroprastertext

          public SPLITPANENode setDroprastertext(java.lang.String value)

    - #### bindDroprastertext

          public SPLITPANENode bindDroprastertext(IDynamicContentBindingObject value)

    - #### setDropreceive

          public SPLITPANENode setDropreceive(java.lang.String value)

    - #### bindDropreceive

          public SPLITPANENode bindDropreceive(IDynamicContentBindingObject value)

    - #### setDropshape

          public SPLITPANENode setDropshape(java.lang.String value)

    - #### bindDropshape

          public SPLITPANENode bindDropshape(IDynamicContentBindingObject value)

    - #### setEnabled

          public SPLITPANENode setEnabled(java.lang.String value)

    - #### bindEnabled

          public SPLITPANENode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public SPLITPANENode setEnabled(boolean value)

    - #### setFlush

          public SPLITPANENode setFlush(java.lang.String value)

    - #### bindFlush

          public SPLITPANENode bindFlush(IDynamicContentBindingObject value)

    - #### setFlush

          public SPLITPANENode setFlush(boolean value)

    - #### setFlusharea

          public SPLITPANENode setFlusharea(java.lang.String value)

    - #### bindFlusharea

          public SPLITPANENode bindFlusharea(IDynamicContentBindingObject value)

    - #### setFlusharea

          public SPLITPANENode setFlusharea(boolean value)

    - #### setFxstyleseq

          public SPLITPANENode setFxstyleseq(java.lang.String value)

    - #### bindFxstyleseq

          public SPLITPANENode bindFxstyleseq(IDynamicContentBindingObject value)

    - #### setHeight

          public SPLITPANENode setHeight(java.lang.String value)

    - #### bindHeight

          public SPLITPANENode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public SPLITPANENode setHeight(int value)

    - #### setHelpid

          public SPLITPANENode setHelpid(java.lang.String value)

    - #### bindHelpid

          public SPLITPANENode bindHelpid(IDynamicContentBindingObject value)

    - #### setHidefirstsplit

          public SPLITPANENode setHidefirstsplit(java.lang.String value)

    - #### bindHidefirstsplit

          public SPLITPANENode bindHidefirstsplit(IDynamicContentBindingObject value)

    - #### setHidefirstsplit

          public SPLITPANENode setHidefirstsplit(boolean value)

    - #### setHidesecondsplit

          public SPLITPANENode setHidesecondsplit(java.lang.String value)

    - #### bindHidesecondsplit

          public SPLITPANENode bindHidesecondsplit(IDynamicContentBindingObject value)

    - #### setHidesecondsplit

          public SPLITPANENode setHidesecondsplit(boolean value)

    - #### setOnetouchexpandable

          public SPLITPANENode setOnetouchexpandable(java.lang.String value)

    - #### bindOnetouchexpandable

          public SPLITPANENode bindOnetouchexpandable(IDynamicContentBindingObject value)

    - #### setOnetouchexpandable

          public SPLITPANENode setOnetouchexpandable(boolean value)

    - #### setOnetouchexpandablebackground

          public SPLITPANENode setOnetouchexpandablebackground(java.lang.String value)

    - #### bindOnetouchexpandablebackground

          public SPLITPANENode bindOnetouchexpandablebackground(IDynamicContentBindingObject value)

    - #### setOrientation

          public SPLITPANENode setOrientation(java.lang.String value)

    - #### bindOrientation

          public SPLITPANENode bindOrientation(IDynamicContentBindingObject value)

    - #### setPadding

          public SPLITPANENode setPadding(java.lang.String value)

    - #### bindPadding

          public SPLITPANENode bindPadding(IDynamicContentBindingObject value)

    - #### setPopupmenu

          public SPLITPANENode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public SPLITPANENode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setPopupmenuloadroundtrip

          public SPLITPANENode setPopupmenuloadroundtrip(java.lang.String value)

    - #### bindPopupmenuloadroundtrip

          public SPLITPANENode bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)

    - #### setReference

          public SPLITPANENode setReference(java.lang.String value)

    - #### setRendered

          public SPLITPANENode setRendered(java.lang.String value)

    - #### bindRendered

          public SPLITPANENode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public SPLITPANENode setRendered(boolean value)

    - #### setRounding

          public SPLITPANENode setRounding(java.lang.String value)

    - #### bindRounding

          public SPLITPANENode bindRounding(IDynamicContentBindingObject value)

    - #### setRounding

          public SPLITPANENode setRounding(int value)

    - #### setRowalignmenty

          public SPLITPANENode setRowalignmenty(java.lang.String value)

    - #### bindRowalignmenty

          public SPLITPANENode bindRowalignmenty(IDynamicContentBindingObject value)

    - #### setShadow

          public SPLITPANENode setShadow(java.lang.String value)

    - #### bindShadow

          public SPLITPANENode bindShadow(IDynamicContentBindingObject value)

    - #### setStyleseq

          public SPLITPANENode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public SPLITPANENode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public SPLITPANENode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public SPLITPANENode bindStylevariant(IDynamicContentBindingObject value)

    - #### setWidth

          public SPLITPANENode setWidth(java.lang.String value)

    - #### bindWidth

          public SPLITPANENode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public SPLITPANENode setWidth(int value)

    - #### setWithwritebackdividerlocation

          public SPLITPANENode setWithwritebackdividerlocation(java.lang.String value)

    - #### bindWithwritebackdividerlocation

          public SPLITPANENode bindWithwritebackdividerlocation(IDynamicContentBindingObject value)

    - #### setWithwritebackdividerlocation

          public SPLITPANENode setWithwritebackdividerlocation(boolean value)

    - #### setX

          public SPLITPANENode setX(java.lang.String value)

    - #### bindX

          public SPLITPANENode bindX(IDynamicContentBindingObject value)

    - #### setX

          public SPLITPANENode setX(int value)

    - #### setY

          public SPLITPANENode setY(java.lang.String value)

    - #### bindY

          public SPLITPANENode bindY(IDynamicContentBindingObject value)

    - #### setY

          public SPLITPANENode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.